Commit 8bf0c324 authored by Lubosz Sarnecki's avatar Lubosz Sarnecki

build: Remove dependencies provided by openvr-glib. Add dependencies to pkgconfig.

parent 75fe08e2
......@@ -22,17 +22,8 @@ c = meson.get_compiler('c')
## Required
m_dep = c.find_library('m')
gulkan_dep = dependency('gulkan-0.9', version: '>= 0.9.0')
openvr_glib_dep = dependency('openvr-glib-0.9', version: '>= 0.9.0')
gio_dep = dependency('gio-2.0', version: '>= 2.50')
gdk_dep = dependency('gdk-3.0', version: '>= 3.22')
cairo_dep = dependency('cairo')
gdk_pixbuf_dep = dependency('gdk-pixbuf-2.0', version: '>= 2.36')
vulkan_dep = dependency('vulkan')
graphene_dep = dependency('graphene-1.0')
subdir('shaders')
subdir('res')
subdir('src')
......
......@@ -59,12 +59,6 @@ configure_file(
xrdesktop_deps = [
m_dep,
gio_dep,
gdk_dep,
gdk_pixbuf_dep,
vulkan_dep,
graphene_dep,
gulkan_dep,
openvr_glib_dep
]
......@@ -96,7 +90,7 @@ pkg.generate(
filebase: api_path,
version: meson.project_version(),
subdirs: api_path,
requires: 'glib-2.0',
requires: 'openvr-glib-' + api_version,
install_dir: join_paths(get_option('libdir'), 'pkgconfig')
)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment